Bug 334509 - Person Detection
Summary: Person Detection
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Engine (show other bugs)
Version: 4.0.0
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2014-05-08 10:11 UTC by hannesmueller
Modified: 2019-12-23 07:41 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 7.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description hannesmueller 2014-05-08 10:11:10 UTC
Application: digikam (4.0.0-beta4)
KDE Platform Version: 4.10.5 "release 4"
Qt Version: 4.8.4
Operating System: Linux 3.7.10-1.28-desktop i686
Distribution: "openSUSE 12.3 (i586)"

-- Information about the crash:
- What I was doing when the application crashed:I started the recognition of persons in my pictures. The accurathy? was set on 95%. The search was restricted on one album with 211 pictures.

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0xafa00780 (LWP 12728))]

Thread 16 (Thread 0xaea7fb40 (LWP 12729)):
#0  0xb3ed3792 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0xb455f5cc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#2  0xb52ca550 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#3  0x0822950a in Digikam::ScanController::run (this=0x9ac4e98) at /usr/src/debug/digikam-4.0.0-beta4/core/digikam/database/scancontroller.cpp:725
#4  0xb52c9f78 in ?? () from /usr/lib/libQtCore.so.4
#5  0xb3ecfb5e in start_thread () from /lib/libpthread.so.0
#6  0xb4551ede in clone () from /lib/libc.so.6

Thread 15 (Thread 0xae0ffb40 (LWP 12730)):
#0  0xb4547171 in poll () from /lib/libc.so.6
#1  0xb2fdd64b in g_poll () from /usr/lib/libglib-2.0.so.0
#2  0xb2fcebd0 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0xb2fced31 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0xb540e8af in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0xb53db39c in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb53db691 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb52c6b6c in QThread::exec() () from /usr/lib/libQtCore.so.4
#8  0xb53b999d in ?? () from /usr/lib/libQtCore.so.4
#9  0xb52c9f78 in ?? () from /usr/lib/libQtCore.so.4
#10 0xb3ecfb5e in start_thread () from /lib/libpthread.so.0
#11 0xb4551ede in clone () from /lib/libc.so.6

Thread 14 (Thread 0xad6ffb40 (LWP 12732)):
#0  0xb3ed3792 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0xb455f5cc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#2  0xb52ca550 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#3  0xb68fc4fc in Digikam::ParkingThread::run (this=0x9c7ff38) at /usr/src/debug/digikam-4.0.0-beta4/core/libs/threads/threadmanager.cpp:119
#4  0xb52c9f78 in ?? () from /usr/lib/libQtCore.so.4
#5  0xb3ecfb5e in start_thread () from /lib/libpthread.so.0
#6  0xb4551ede in clone () from /lib/libc.so.6

Thread 13 (Thread 0xa0418b40 (LWP 12845)):
#0  0xb2f9d8a0 in ?? () from /usr/lib/libglib-2.0.so.0

Thread 12 (Thread 0x8f7e6b40 (LWP 12848)):
#0  0xb455f7e8 in pthread_mutex_unlock () from /lib/libc.so.6
#1  0xb300ff20 in g_mutex_unlock () from /usr/lib/libglib-2.0.so.0
#2  0xb2fce68a in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#3  0xb2fceb62 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb2fced31 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb540e8af in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb53db39c in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb53db691 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb68fbaa5 in Digikam::WorkerObjectRunnable::run (this=0xa45cf7a8) at /usr/src/debug/digikam-4.0.0-beta4/core/libs/threads/threadmanager.cpp:196
#9  0xb52bcc24 in ?? () from /usr/lib/libQtCore.so.4
#10 0xb52c9f78 in ?? () from /usr/lib/libQtCore.so.4
#11 0xb3ecfb5e in start_thread () from /lib/libpthread.so.0
#12 0xb4551ede in clone () from /lib/libc.so.6

Thread 11 (Thread 0xa4dffb40 (LWP 12853)):
#0  0xb4540c01 in read () from /lib/libc.so.6
#1  0xb300f20e in ?? () from /usr/lib/libglib-2.0.so.0
#2  0xb2fce70b in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#3  0xb2fceb62 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb2fced31 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb540e8af in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb53db39c in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb53db691 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb68fbaa5 in Digikam::WorkerObjectRunnable::run (this=0xa45d3b10) at /usr/src/debug/digikam-4.0.0-beta4/core/libs/threads/threadmanager.cpp:196
#9  0xb52bcc24 in ?? () from /usr/lib/libQtCore.so.4
#10 0xb52c9f78 in ?? () from /usr/lib/libQtCore.so.4
#11 0xb3ecfb5e in start_thread () from /lib/libpthread.so.0
#12 0xb4551ede in clone () from /lib/libc.so.6

Thread 10 (Thread 0x94affb40 (LWP 12855)):
#0  0xb2fce698 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#1  0xb2fceb62 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0xb2fced31 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0xb540e8af in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0xb53db39c in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0xb53db691 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb68fbaa5 in Digikam::WorkerObjectRunnable::run (this=0x9d2f0d68) at /usr/src/debug/digikam-4.0.0-beta4/core/libs/threads/threadmanager.cpp:196
#7  0xb52bcc24 in ?? () from /usr/lib/libQtCore.so.4
#8  0xb52c9f78 in ?? () from /usr/lib/libQtCore.so.4
#9  0xb3ecfb5e in start_thread () from /lib/libpthread.so.0
#10 0xb4551ede in clone () from /lib/libc.so.6

Thread 9 (Thread 0x9ec18b40 (LWP 12856)):
#0  0xb4540c01 in read () from /lib/libc.so.6
#1  0xb300f20e in ?? () from /usr/lib/libglib-2.0.so.0
#2  0xb2fce70b in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#3  0xb2fceb62 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb2fced31 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb540e8af in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb53db39c in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb53db691 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb68fbaa5 in Digikam::WorkerObjectRunnable::run (this=0xa45d4a28) at /usr/src/debug/digikam-4.0.0-beta4/core/libs/threads/threadmanager.cpp:196
#9  0xb52bcc24 in ?? () from /usr/lib/libQtCore.so.4
#10 0xb52c9f78 in ?? () from /usr/lib/libQtCore.so.4
#11 0xb3ecfb5e in start_thread () from /lib/libpthread.so.0
#12 0xb4551ede in clone () from /lib/libc.so.6

Thread 8 (Thread 0x844ffb40 (LWP 12858)):
#0  0xb4547171 in poll () from /lib/libc.so.6
#1  0xb2fdd64b in g_poll () from /usr/lib/libglib-2.0.so.0
#2  0xb2fcebd0 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0xb2fced31 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0xb540e8af in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0xb53db39c in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb53db691 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb68fbaa5 in Digikam::WorkerObjectRunnable::run (this=0x90ff0f40) at /usr/src/debug/digikam-4.0.0-beta4/core/libs/threads/threadmanager.cpp:196
#8  0xb52bcc24 in ?? () from /usr/lib/libQtCore.so.4
#9  0xb52c9f78 in ?? () from /usr/lib/libQtCore.so.4
#10 0xb3ecfb5e in start_thread () from /lib/libpthread.so.0
#11 0xb4551ede in clone () from /lib/libc.so.6

Thread 7 (Thread 0x802ffb40 (LWP 12859)):
#0  0xb4547171 in poll () from /lib/libc.so.6
#1  0xb2fdd64b in g_poll () from /usr/lib/libglib-2.0.so.0
#2  0xb2fcebd0 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0xb2fced31 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0xb540e8af in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0xb53db39c in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb53db691 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb68fbaa5 in Digikam::WorkerObjectRunnable::run (this=0x9c911340) at /usr/src/debug/digikam-4.0.0-beta4/core/libs/threads/threadmanager.cpp:196
#8  0xb52bcc24 in ?? () from /usr/lib/libQtCore.so.4
#9  0xb52c9f78 in ?? () from /usr/lib/libQtCore.so.4
#10 0xb3ecfb5e in start_thread () from /lib/libpthread.so.0
#11 0xb4551ede in clone () from /lib/libc.so.6

Thread 6 (Thread 0x939ffb40 (LWP 13019)):
#0  0xb3ed2b54 in __pthread_mutex_unlock_usercnt () from /lib/libpthread.so.0
#1  0xb455f814 in pthread_mutex_unlock () from /lib/libc.so.6
#2  0xb300ff20 in g_mutex_unlock () from /usr/lib/libglib-2.0.so.0
#3  0xb2fce68a in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#4  0xb2fceb62 in ?? () from /usr/lib/libglib-2.0.so.0
#5  0xb2fced31 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#6  0xb540e8af in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb53db39c in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb53db691 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#9  0xb68fbaa5 in Digikam::WorkerObjectRunnable::run (this=0x9c3065c0) at /usr/src/debug/digikam-4.0.0-beta4/core/libs/threads/threadmanager.cpp:196
#10 0xb52bcc24 in ?? () from /usr/lib/libQtCore.so.4
#11 0xb52c9f78 in ?? () from /usr/lib/libQtCore.so.4
#12 0xb3ecfb5e in start_thread () from /lib/libpthread.so.0
#13 0xb4551ede in clone () from /lib/libc.so.6

Thread 5 (Thread 0x9fc18b40 (LWP 13020)):
#0  0xb3ed2c00 in pthread_mutex_unlock () from /lib/libpthread.so.0
#1  0xb455f814 in pthread_mutex_unlock () from /lib/libc.so.6
#2  0xb300ff20 in g_mutex_unlock () from /usr/lib/libglib-2.0.so.0
#3  0xb2fce68a in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#4  0xb2fceb62 in ?? () from /usr/lib/libglib-2.0.so.0
#5  0xb2fced31 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#6  0xb540e8af in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb53db39c in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb53db691 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#9  0xb68fbaa5 in Digikam::WorkerObjectRunnable::run (this=0x9c39fe78) at /usr/src/debug/digikam-4.0.0-beta4/core/libs/threads/threadmanager.cpp:196
#10 0xb52bcc24 in ?? () from /usr/lib/libQtCore.so.4
#11 0xb52c9f78 in ?? () from /usr/lib/libQtCore.so.4
#12 0xb3ecfb5e in start_thread () from /lib/libpthread.so.0
#13 0xb4551ede in clone () from /lib/libc.so.6

Thread 4 (Thread 0xa1c18b40 (LWP 13021)):
#0  0xb3ed1ce3 in pthread_mutex_lock () from /lib/libpthread.so.0
#1  0xb455f7d4 in pthread_mutex_lock () from /lib/libc.so.6
#2  0xb300fee0 in g_mutex_lock () from /usr/lib/libglib-2.0.so.0
#3  0xb2fce406 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#4  0xb2fceacf in ?? () from /usr/lib/libglib-2.0.so.0
#5  0xb2fced31 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#6  0xb540e8af in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb53db39c in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb53db691 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#9  0xb68fbaa5 in Digikam::WorkerObjectRunnable::run (this=0x9c78a590) at /usr/src/debug/digikam-4.0.0-beta4/core/libs/threads/threadmanager.cpp:196
#10 0xb52bcc24 in ?? () from /usr/lib/libQtCore.so.4
#11 0xb52c9f78 in ?? () from /usr/lib/libQtCore.so.4
#12 0xb3ecfb5e in start_thread () from /lib/libpthread.so.0
#13 0xb4551ede in clone () from /lib/libc.so.6

Thread 3 (Thread 0x941ffb40 (LWP 13022)):
#0  0xb4540c01 in read () from /lib/libc.so.6
#1  0xb300f20e in ?? () from /usr/lib/libglib-2.0.so.0
#2  0xb2fce70b in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#3  0xb2fceb62 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb2fced31 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb540e8af in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb53db39c in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb53db691 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb68fbaa5 in Digikam::WorkerObjectRunnable::run (this=0x9c32aee8) at /usr/src/debug/digikam-4.0.0-beta4/core/libs/threads/threadmanager.cpp:196
#9  0xb52bcc24 in ?? () from /usr/lib/libQtCore.so.4
#10 0xb52c9f78 in ?? () from /usr/lib/libQtCore.so.4
#11 0xb3ecfb5e in start_thread () from /lib/libpthread.so.0
#12 0xb4551ede in clone () from /lib/libc.so.6

Thread 2 (Thread 0xa24b2b40 (LWP 13023)):
[KCrash Handler]
#5  isEmpty (this=<optimized out>) at /usr/include/QtCore/qmap.h:203
#6  Digikam::FaceTags::getOrCreateTagForIdentity (attributes=...) at /usr/src/debug/digikam-4.0.0-beta4/core/libs/database/faces/facetags.cpp:286
#7  0x0833ef7b in Digikam::DatabaseWriter::process (this=this@entry=0xa3014fc0, package=...) at /usr/src/debug/digikam-4.0.0-beta4/core/utilities/facemanagement/facepipeline.cpp:661
#8  0x0833f8a3 in Digikam::DatabaseWriter::qt_static_metacall (_o=0xa3014fc0, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x9c5dc350) at /usr/src/debug/digikam-4.0.0-beta4/build/core/digikam/facepipeline_p.moc:494
#9  0xb53ee64a in QMetaCallEvent::placeMetaCall(QObject*) () from /usr/lib/libQtCore.so.4
#10 0xb53f2bab in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#11 0xb68fc752 in Digikam::WorkerObject::event (this=0xa3014fc0, e=0xa44c0778) at /usr/src/debug/digikam-4.0.0-beta4/core/libs/threads/workerobject.cpp:160
#12 0xb4844bac in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#13 0xb48495cc in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#14 0xb5a15ae1 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#15 0xb53dc8ce in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#16 0xb53e0621 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so.4
#17 0xb53e089c in QCoreApplication::sendPostedEvents(QObject*, int) () from /usr/lib/libQtCore.so.4
#18 0xb540e714 in ?? () from /usr/lib/libQtCore.so.4
#19 0xb2fce8b3 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#20 0xb2fcec50 in ?? () from /usr/lib/libglib-2.0.so.0
#21 0xb2fced31 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#22 0xb540e8af in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#23 0xb53db39c in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#24 0xb53db691 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#25 0xb68fbaa5 in Digikam::WorkerObjectRunnable::run (this=0x9c31ca98) at /usr/src/debug/digikam-4.0.0-beta4/core/libs/threads/threadmanager.cpp:196
#26 0xb52bcc24 in ?? () from /usr/lib/libQtCore.so.4
#27 0xb52c9f78 in ?? () from /usr/lib/libQtCore.so.4
#28 0xb3ecfb5e in start_thread () from /lib/libpthread.so.0
#29 0xb4551ede in clone () from /lib/libc.so.6

Thread 1 (Thread 0xafa00780 (LWP 12728)):
#0  0xb3ed3792 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0xb455f5cc in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#2  0xb52ca550 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#3  0xb68fc972 in Digikam::WorkerObject::wait (this=0x9d7df80) at /usr/src/debug/digikam-4.0.0-beta4/core/libs/threads/workerobject.cpp:95
#4  0x08273015 in Digikam::FileActionMngr::shutDown (this=0x9d7ddb8) at /usr/src/debug/digikam-4.0.0-beta4/core/digikam/fileaction/fileactionmngr.cpp:110
#5  0x0827304d in Digikam::FileActionMngr::~FileActionMngr (this=0x9d7ddb8, __in_chrg=<optimized out>) at /usr/src/debug/digikam-4.0.0-beta4/core/digikam/fileaction/fileactionmngr.cpp:78
#6  0x082730d7 in ~FileActionMngrCreator (this=0x9d7ddb8, __in_chrg=<optimized out>) at /usr/src/debug/digikam-4.0.0-beta4/core/digikam/fileaction/fileactionmngr.cpp:52
#7  destroy () at /usr/src/debug/digikam-4.0.0-beta4/core/digikam/fileaction/fileactionmngr.cpp:59
#8  0xb44a4211 in __run_exit_handlers () from /lib/libc.so.6
#9  0xb44a429d in exit () from /lib/libc.so.6
#10 0xb48baf38 in ?? () from /usr/lib/libQtGui.so.4
#11 0xb5a146b9 in KApplication::xioErrhandler(_XDisplay*) () from /usr/lib/libkdeui.so.5
#12 0xb5a146f4 in ?? () from /usr/lib/libkdeui.so.5
#13 0xb40634b4 in _XIOError () from /usr/lib/libX11.so.6
#14 0xb4060d0f in _XEventsQueued () from /usr/lib/libX11.so.6
#15 0xb4051620 in XEventsQueued () from /usr/lib/libX11.so.6
#16 0xb48f6318 in ?? () from /usr/lib/libQtGui.so.4
#17 0xb2fce3fa in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#18 0xb2fceacf in ?? () from /usr/lib/libglib-2.0.so.0
#19 0xb2fced31 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#20 0xb540e891 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#21 0xb48f64aa in ?? () from /usr/lib/libQtGui.so.4
#22 0xb53db39c in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#23 0xb53db691 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#24 0xb53e094a in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#25 0xb4842a24 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#26 0x080c83b6 in main (argc=1, argv=0xbfa5e8e4) at /usr/src/debug/digikam-4.0.0-beta4/core/digikam/main/main.cpp:236

Reported using DrKonqi
Comment 1 caulier.gilles 2014-05-10 12:45:59 UTC
*** Bug 334580 has been marked as a duplicate of this bug. ***
Comment 2 caulier.gilles 2014-05-16 07:29:53 UTC
digiKam 4.0.0 is out :

http://www.digikam.org/node/713

Please check if this entry still valid with this new version.

Thanks in advance

Gilles Caulier
Comment 3 caulier.gilles 2014-05-31 13:00:11 UTC

*** This bug has been marked as a duplicate of bug 335624 ***
Comment 4 caulier.gilles 2019-12-23 07:41:46 UTC
Problem is fixed with new 7.0.0-beta1 through this long story from this bug

https://bugs.kde.org/show_bug.cgi?id=399923

You can test digiKam 7.0.0-beta1 with bundle available here:

https://download.kde.org/unstable/digikam/

Don't hesitate to give us a fresh feedback about his entry.

Thanks in advance

Gilles Caulier